package org.bench4q.share.models.agent.statistics;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class AgentPageBriefModel extends DataStatisticsModel {
	private int pageId;
	private long timeFrame;
	private long countThisTime;
	private long totalResponseTimeThisTime;
	private long maxResponseTimeFromBegin;
	private long minResponseTimeFromBegin;
	private long countFromBegin;
	private long latestResponseTime;

	@XmlElement
	public int getPageId() {
		return pageId;
	}

	public void setPageId(int pageId) {
		this.pageId = pageId;
	}

	@XmlElement
	public long getTimeFrame() {
		return timeFrame;
	}

	public void setTimeFrame(long timeFrame) {
		this.timeFrame = timeFrame;
	}

	@XmlElement
	public long getCountThisTime() {
		return countThisTime;
	}

	public void setCountThisTime(long countThisTime) {
		this.countThisTime = countThisTime;
	}

	@XmlElement
	public long getTotalResponseTimeThisTime() {
		return totalResponseTimeThisTime;
	}

	public void setTotalResponseTimeThisTime(long totalResponseTimeThisTime) {
		this.totalResponseTimeThisTime = totalResponseTimeThisTime;
	}

	@XmlElement
	public long getMaxResponseTimeFromBegin() {
		return maxResponseTimeFromBegin;
	}

	public void setMaxResponseTimeFromBegin(long maxResponseTimeFromBegin) {
		this.maxResponseTimeFromBegin = maxResponseTimeFromBegin;
	}

	@XmlElement
	public long getMinResponseTimeFromBegin() {
		return minResponseTimeFromBegin;
	}

	public void setMinResponseTimeFromBegin(long minResponseTimeFromBegin) {
		this.minResponseTimeFromBegin = minResponseTimeFromBegin;
	}

	@XmlElement
	public long getCountFromBegin() {
		return countFromBegin;
	}

	public void setCountFromBegin(long countFromBegin) {
		this.countFromBegin = countFromBegin;
	}

	@XmlElement
	public long getLatestResponseTime() {
		return latestResponseTime;
	}

	public void setLatestResponseTime(long latestTimeResponseTime) {
		this.latestResponseTime = latestTimeResponseTime;
	}

}
